ibus输入法在lyx上不能启动,请问各位有这种情况吗?

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
aldous
帖子: 16
注册时间: 2008-05-19 10:53
送出感谢: 0
接收感谢: 0
联系:

ibus输入法在lyx上不能启动,请问各位有这种情况吗?

#1

帖子 aldous » 2008-09-25 15:23

rt
头像
suncanoe
帖子: 476
注册时间: 2005-12-07 0:17
来自: 昆明
送出感谢: 0
接收感谢: 0

Re: ibus输入法在lyx上不能启动,请问各位有这种情况吗?

#2

帖子 suncanoe » 2008-09-25 18:13

都是qt的问题,参考这个贴子

viewtopic.php?f=8&t=149073&st=0&sk=t&sd=a


我研究了一下,通过修改env变量,ibus就可以在qt4程序中运行了
env
QT_IM_MODULE=XIM
XMODIFIERS=@im=ibus
要确保以上两个变量,不能使用其他值。

为了达到以上的目的,我做了如下的修改
sudo vim /etc/X11/xinit/xinput.d/ibus
修改
QT_IM_MODULE=ibus

QT_IM_MODULE=XIM
Two wrongs do not make a right.
blog: http://hi.baidu.com/bookpage
回复

回到 “办公、图像、机械电子设计等”